<template >
  <div class="body">
    <div class="box-title">
      <div class="child-box">
        <p class="title title--body">Users</p>
      </div>
      <div class="child-box-r">
          <img  height="4.97px"  width=" 15.96px" src="data:image/svg+xml,%3Csvg width='15.96' height='4.97' viewBox='0 0 17 6' fill='none' xmlns='http://www.w3.org/2000/svg'%3E%3Cpath d='M8.09103 5.45455C9.19296 5.45455 10.0862 4.34204 10.0862 2.9697C10.0862 1.59735 9.19296 0.484848 8.09103 0.484848C6.98911 0.484848 6.09583 1.59735 6.09583 2.9697C6.09583 4.34204 6.98911 5.45455 8.09103 5.45455Z' fill='%23A0A5BA'/%3E%3Cpath d='M2.10538 5.45455C3.2073 5.45455 4.10059 4.34204 4.10059 2.9697C4.10059 1.59735 3.2073 0.484848 2.10538 0.484848C1.00345 0.484848 0.110168 1.59735 0.110168 2.9697C0.110168 4.34204 1.00345 5.45455 2.10538 5.45455Z' fill='%23A0A5BA'/%3E%3Cpath d='M14.0767 5.45455C15.1786 5.45455 16.0718 4.34204 16.0718 2.9697C16.0718 1.59735 15.1786 0.484848 14.0767 0.484848C12.9748 0.484848 12.0815 1.59735 12.0815 2.9697C12.0815 4.34204 12.9748 5.45455 14.0767 5.45455Z' fill='%23A0A5BA'/%3E%3C/svg%3E" alt="">
      </div>
    </div>
      <Table
      :columns="columns"
      :data="data"
    >
      <template v-slot:options="{ item }">
        <router-link :to="{name: 'UserTodos', params: {id: item.id }}">View todos</router-link>
      </template>
    </Table>
  </div>
</template>
<script>
import Table from '../../../components/Table.vue'
import  { mapState } from 'vuex'
import "@/assets/scss/components/body.scss";
export default {
    components:{
        Table
    },
    computed: {
      columns () {
        return [
          {
            id: 'id',
            name: 'Id'
          },
          {
            id: 'name',
            name: 'Name'
          },
          {
            id: 'email',
            name: 'Email'
          },
          {
            id: 'username',
            name: 'Username'
          },
          
          {
            id: 'address',
            name: 'Address',
            callback: this.renderAddress
          },
          {
            id: 'company',
            name: 'Company',
            callback : this.renderCompany
          },
          {
            id: 'options',
            name: 'Options',
            isSlot: true
          }
        ]
      },
      ... mapState(["data"])
    
    },
    mounted(){
      this.$store.dispatch("loadData")
    },
    methods: {
      renderAddress: (address)  =>  `St. ${address.street}, ${address.suite}`,

      renderCompany: (company) =>   company.name,

    }
};
</script>
